=== removed directory '.bzr-builddeb'
=== removed file '.bzr-builddeb/default.conf'
--- .bzr-builddeb/default.conf	2008-09-17 00:34:09 +0000
+++ .bzr-builddeb/default.conf	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-[BUILDDEB]
-split = True

=== removed file 'INSTALL'
--- INSTALL	2008-09-08 18:54:47 +0000
+++ INSTALL	1970-01-01 00:00:00 +0000
@@ -1,114 +0,0 @@
--*- org -*-
-
-* Prerequisites
-  
-** Operating System
-   
-   Debian 5.0 "lenny" or Ubuntu 8.04 "Hardy Heron".
-   
-   This is mostly for the support scripts which make sure that the
-   client is installed and started in the initial RAM disk environment
-   and that the initrd.img file is automatically made unreadable.  The
-   server and client programs themselves *could* be run in other
-   distributions, but they *are* specific to GNU/Linux systems, and
-   are not intended to be portable to other Unixes.
-  
-** Libraries
-   
-   The following libraries and packages are needed.  (It is possible
-   that it might work with older versions of some of these, but these
-   versions are confirmed to work.  Newer versions are almost
-   certainly OK.)
-   
-*** Documentation
-    These are required to build the manual pages for both the server
-    and client:
-    
-    + DocBook 4.5         http://www.docbook.org/
-      Note: DocBook 5.0 is not compatible.
-    + DocBook XSL stylesheets 1.71.0
-                   http://wiki.docbook.org/topic/DocBookXslStylesheets
-    
-    Package names:
-    docbook docbook-xsl
-    
-    To build just the documentation, run the command "make doc".  Then
-    the manual page "mandos.8", for example, can be read by running
-    "man -l mandos.8".
-   
-*** Mandos Server
-    + GnuTLS 2.4          http://www.gnu.org/software/gnutls/
-    + Avahi 0.6.16        http://www.avahi.org/
-    + Python 2.4          http://www.python.org/
-    + Python-GnuTLS 1.1.5 http://pypi.python.org/pypi/python-gnutls/
-    + dbus-python 0.82.4  http://dbus.freedesktop.org/doc/dbus-python/
-    + python-ctypes 1.0.0 http://pypi.python.org/pypi/ctypes
-    
-    Strongly recommended:
-    + fping 2.4b2-to-ipv6 http://www.fping.com/
-    
-    Package names:
-    python-gnutls avahi-daemon python python-avahi python-dbus
-    python-ctypes
-   
-*** Mandos Client
-    + initramfs-tools 0.85i
-                  http://packages.qa.debian.org/i/initramfs-tools.html
-    + GnuTLS 2.4          http://www.gnu.org/software/gnutls/
-    + Avahi 0.6.16        http://www.avahi.org/
-    + GnuPG 1.4.9         http://www.gnupg.org/
-    + GPGME 1.1.6         http://www.gnupg.org/related_software/gpgme/
-    
-    Package names:
-    initramfs-tools libgnutls-dev libavahi-core-dev gnupg
-    libgpgme11-dev
-
-* Installing the Mandos server
-  
-  1. Do "make doc".
-  
-  2. On the computer to run as a Mandos server, run the following
-     command:
-     For Debian: su -c 'make install-server'
-     For Ubuntu: sudo make install-server
-     
-     (This creates a configuration without any clients configured; you
-     need an actually configured client to do that; see below.)
-
-* Installing the Mandos client.
-  
-  1. Do "make all doc".
-  
-  2. On the computer to run as a Mandos client, run the following
-     command:
-     For Debian: su -c 'make install-client'
-     For Ubuntu: sudo make install-client
-     
-     This will also create an OpenPGP key, which will take some time
-     and entropy, so be patient.
-  
-  3. Run the following command:
-     For Debian: su -c 'mandos-keygen --password'
-     For Ubuntu: sudo mandos-keygen --password
-     
-     When prompted, enter the password/passphrase for the encrypted
-     root file system on this client computer.  The command will
-     output a section of text, starting with a [section header].  Copy
-     and append this to the file "/etc/mandos/clients.conf" *on the
-     server computer*.
-  
-  4. On the server computer, start the server by running the command
-     For Debian: su -c 'invoke-rc.d mandos start'
-     For Ubuntu: sudo invoke-rc.d mandos start
-     
-     After this, the client computer should be able to reboot without
-     needing a password entered on the console, as long as it does not
-     take more than an hour to reboot.
-
-* Further customizations
-  
-  You may want to tighten or loosen the timeouts in the server
-  configuration files; see mandos.conf(5) and mandos-clients.conf(5).
-  Is IPsec is not used, it is suggested that a more cryptographically
-  secure checker program is used and configured, since without IPsec
-  ping packets can be faked.

=== modified file 'Makefile'
--- Makefile	2008-09-17 00:34:09 +0000
+++ Makefile	2008-09-07 01:20:43 +0000
@@ -4,9 +4,9 @@
 	-Wunsafe-loop-optimizations -Wpointer-arith \
 	-Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings \
 	-Wconversion -Wstrict-prototypes -Wold-style-definition \
-	-Wpacked -Wnested-externs -Winline -Wvolatile-register-var
-#	-Wunreachable-code 
-#DEBUG=-ggdb3
+	-Wpacked -Wnested-externs -Wunreachable-code -Winline \
+	-Wvolatile-register-var
+DEBUG=-ggdb3
 # For info about _FORTIFY_SOURCE, see
 # <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>
 FORTIFY=-D_FORTIFY_SOURCE=2 # -fstack-protector-all
@@ -16,19 +16,16 @@
 
 ## Use these settings for a traditional /usr/local install
 # PREFIX=$(DESTDIR)/usr/local
-# CONFDIR=$(DESTDIR)/etc/mandos
-# KEYDIR=$(DESTDIR)/etc/mandos/keys
+# CONFDIR=$(PREFIX)/lib/mandos
+# KEYDIR=$(PREFIX)/lib/mandos/keys
 # MANDIR=$(PREFIX)/man
-# INITRAMFSTOOLS=$(DESTDIR)/etc/initramfs-tools
-##
+# INITRAMFSTOOLS=/etc/initramfs-tools
 
-## These settings are for a package-type install
 PREFIX=$(DESTDIR)/usr
 CONFDIR=$(DESTDIR)/etc/mandos
 KEYDIR=$(DESTDIR)/etc/keys/mandos
 MANDIR=$(PREFIX)/share/man
 INITRAMFSTOOLS=$(DESTDIR)/usr/share/initramfs-tools
-##
 
 GNUTLS_CFLAGS=$(shell libgnutls-config --cflags)
 GNUTLS_LIBS=$(shell libgnutls-config --libs)
@@ -138,10 +135,11 @@
 # Add a client password
 	./mandos-keygen --dir keydir --password >> $@
 
-install: install-server install-client-nokey
+install: install-server install-client
 
 install-server: doc
-	install --directory $(CONFDIR)
+	install --directory $(CONFDIR) $(MANDIR)/man5 \
+		$(MANDIR)/man8
 	install --mode=u=rwx,go=rx mandos $(PREFIX)/sbin/mandos
 	install --mode=u=rw,go=r --target-directory=$(CONFDIR) \
 		mandos.conf
@@ -159,13 +157,15 @@
 	gzip --best --to-stdout mandos-clients.conf.5 \
 		> $(MANDIR)/man5/mandos-clients.conf.5.gz
 
-install-client-nokey: all doc
-	install --directory $(PREFIX)/lib/mandos $(CONFDIR)
-	install --directory --mode=u=rwx $(KEYDIR) \
+install-client: all doc $(INITRAMFSTOOLS)/hooks/.
+	install --directory $(PREFIX)/lib/mandos $(CONFDIR) \
+		$(MANDIR)/man8
+	install --directory --mode=u=rwx $(KEYDIR)
+	install --directory --mode=u=rwx \
 		$(PREFIX)/lib/mandos/plugins.d
 	if [ "$(CONFDIR)" != "$(PREFIX)/lib/mandos" ]; then \
 		install --mode=u=rwx \
-			--directory "$(CONFDIR)/plugins.d" && \
+			--directory "$(CONFDIR)/plugins.d"; \
 		install --mode=u=rw,go=r etc-plugins.d-README \
 			$(CONFDIR)/plugins.d/README ; \
 	fi
@@ -184,7 +184,7 @@
 		plugins.d/usplash
 	install initramfs-tools-hook \
 		$(INITRAMFSTOOLS)/hooks/mandos
-	install --mode=u=rw,go=r initramfs-tools-hook-conf \
+	install initramfs-tools-hook-conf \
 		$(INITRAMFSTOOLS)/conf-hooks.d/mandos
 	install initramfs-tools-script \
 		$(INITRAMFSTOOLS)/scripts/local-top/mandos
@@ -197,8 +197,6 @@
 		> $(MANDIR)/man8/password-prompt.8mandos.gz
 	gzip --best --to-stdout plugins.d/mandos-client.8mandos \
 		> $(MANDIR)/man8/mandos-client.8mandos.gz
-
-install-client: install-client-nokey
 # Post-installation stuff
 	-$(PREFIX)/sbin/mandos-keygen --dir "$(KEYDIR)"
 	update-initramfs -k all -u

=== modified file 'README'
--- README	2008-09-17 00:34:09 +0000
+++ README	2008-09-05 07:11:24 +0000
@@ -3,15 +3,15 @@
 * Mandos
   - Have your cake and eat it too!
   
-  You know how it is.  You’ve heard of it happening.  The Man comes
-  and takes away your servers, your friends’ servers, the servers of
+  You know how it is.  You've heard of it happening.  The Man comes
+  and takes away your servers, your friends' servers, the servers of
   everybody in the same hosting facility. The servers of their
-  neighbors, and their neighbors’ friends.  The servers of people who
-  owe them money.  And like *that*, they’re gone.  And you doubt
-  you’ll ever see them again.
+  neighbors, and their neighbors' friends.  The servers of people who
+  owe them money.  And like *that*, they're gone.  And you doubt
+  you'll ever see them again.
   
   That is why your servers have encrypted root file systems.  However,
-  there’s a downside.  There’s no going around it: rebooting is a
+  there's a downside.  There's no going around it: rebooting is a
   pain.  Dragging out that rarely-used keyboard and screen and
   unraveling cables behind your servers to plug them in to type in
   that password is messy, especially if you have many servers.  There
@@ -23,7 +23,7 @@
   have to be on hand and manually type in the password at boot time.
   Otherwise the server just sits there, waiting for a password.
   
-  Wouldn’t it be great if you could have the security of encrypted
+  Wouldn't it be great if you could have the security of encrypted
   root file systems and still have servers that could boot up
   automatically if there was a short power outage while you were
   asleep?  That you could reboot at will, without having someone run
@@ -49,13 +49,13 @@
   
   Now, of course the initial RAM disk image is not on the encrypted
   root file system, so anyone who had physical access could take the
-  Mandos client computer offline and read the disk with their own
-  tools to get the authentication keys used by a client.  *But*, by
-  then the Mandos server should notice that the original server has
-  been offline for too long, and will no longer give out the encrypted
-  key.  The timing here is the only real weak point, and the method,
-  frequency and timeout of the server’s checking can be adjusted to
-  any desired level of paranoia
+  server offline and read the disk with their own tools to get the
+  authentication keys used by a client.  *But*, by then the Mandos
+  server should notice that the original server has been offline for
+  too long, and will no longer give out the encrypted key.  The timing
+  here is the only real weak point, and the method, frequency and
+  timeout of the server’s checking can be adjusted to any desired
+  level of paranoia
   
   (The encrypted keys on the Mandos server is on its normal file
   system, so those are safe, provided the root file system of *that*
@@ -69,12 +69,12 @@
    to do.  An attacker would have to physically disassemble the client
    computer, extract the key from the initial RAM disk image, and then
    connect to a *still online* Mandos server to get the encrypted key,
-   and do all this *before* the Mandos server timeout kicks in and the
-   Mandos server refuses to give out the key to anyone.
+   all *before* the Mandos server timeout kicks in and the Mandos
+   server refuses to give out the key to anyone.
    
-   Now, as the typical procedure seems to be to barge in and turn off
-   and grab *all* computers, to maybe look at them months later, this
-   is not likely.  If someone does that, the whole system *will* lock
+   Now, as the typical SOP seems to be to barge in and turn off and
+   grab *all* computers, to maybe look at them months later, this is
+   not likely.  If someone does that, the whole system *will* lock
    itself up completely, since Mandos servers are no longer running.
    
    For sophisticated attackers who *could* do the clever thing, *and*
@@ -129,24 +129,3 @@
   focused, and competent attacks, but against the early morning knock
   on your door and the sudden absence of all the servers in your
   server room.  Which it does nicely.
-
-* Copyright
-
-    Copyright © 2008 Teddy Hogeborn
-                2008 Björn Påhlsson
-  
-** License:
-   
-   This program is free software: you can redistribute it and/or
-   modify it under the terms of the GNU General Public License as
-   published by the Free Software Foundation, either version 3 of the
-   License, or (at your option) any later version.
-
-   This program is distributed in the hope that it will be useful, but
-   WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-   General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program.  If not, see
-   <http://www.gnu.org/licenses/>.

=== modified file 'TODO'
--- TODO	2008-09-19 00:00:51 +0000
+++ TODO	2008-09-06 16:31:49 +0000
@@ -1,82 +1,84 @@
 -*- org -*-
 
 * plugin-runner
-** TODO Man page  for plugin-runner.conf.5
-   link to plugin-runner.8
 
 * mandos-client
-** TODO [#B] Temporarily lower kernel log level
+** [#B] Temporarily lower kernel log level
    for less printouts during sucessfull boot.
-** TODO [#C] IPv4 support
+** IPv4 support
+** use strsep instead of strtok?
+** Do not depend on GnuPG key rings on disk
+   This would mean creating new GnuPG key rings with GPGME by
+   importing the key files from scratch on every program start.
+** Keydir move: /etc/mandos -> /etc/keys/mandos
+   Must create in preinst if not pre-depending on cryptsetup
 
-* DONE password-prompt
+* password-prompt
 
 * mandos (server)
-** TODO [#B] Log level				:bugs:
-** TODO /etc/mandos/clients.d/*.conf
+** [#A] /etc/init.d/mandos-server		:teddy:
+** [#B] Log level				:bugs:
+** /etc/mandos/clients.d/*.conf
    Watch this directory and add/remove/update clients?
-** TODO config for TXT record
-** TODO [#B] Run-time communication with server :bugs:
+** config for TXT record
+** [#B] Run-time communication with server	:bugs:
    Probably using D-Bus
    See also [[*Mandos-tools]]
-** TODO Implement --foreground			:bugs:
-   [[info:standards:Option%20Table][Table of Long Options]]
-** TODO Implement --socket
-   [[info:standards:Option%20Table][Table of Long Options]]
-** TODO Date+time on console log messages	:bugs:
+** Implement --foreground			:bugs:
+   [[info:standards:Option%20Table][Table of Long Options]]
+** Implement --socket
+   [[info:standards:Option%20Table][Table of Long Options]]
+** Date+time on console log messages		:bugs:
    Is this the default?
-** TODO delete hook when clients fall out by timeout
+** delete hook when clients fall out by timeout
 
 * Mandos-tools/utilities
   All of this probably using D-Bus
-** TODO List clients
-** TODO Disable client
-** TODO Enable client
-** TODO Reset timer
+** List clients
+** Disable client
+** Enable client
+** Reboot timer
 
 * Man pages
-** TODO Use xinclude for all common sections
+** Use xinclude for common sections
    Like authors, etc.
 
 
 * Installer
 ** Client-side
-*** TODO Update initrd.img after installation
+*** Update initrd.img after installation
     This seems to use some kind of "trigger" system
     [[file:/usr/share/doc/dpkg/triggers.txt.gz]]
     dpkg-trigger(1), deb-triggers(5)
 *** mandos-keygen
-**** TODO [#A] Ask for password twice for confirmation
-**** TODO "--passfile" option
+**** "--passfile" option
      Using the "secfile" option instead of "secret"
-**** TODO [#B] "--test" option
+**** [#A] "--test" option
      For testing decryption before rebooting.
 ** Server-side
-*** TODO [#A] Create mandos user and group for server
+*** [#A] Create mandos user and group for server
+*** [#A] Create /var/run/mandos directory with perm and ownership
+*** [#A] install rc.d script and do update-rc.d
+    between config files and man pages
 
 
 * [#A] Package
 ** /usr/share/initramfs-tools/hooks/mandos
-*** TODO Do not install in initrd.img if configured not to.
+*** Do not install in initrd.img if configured not to.
     Use "/etc/initramfs-tools/conf.d/mandos"?  Definitely a debconf
     question.
-** TODO /etc/bash_completion.d/mandos
+** /etc/bash_completion.d/mandos
    From XML sources directly?
-** TODO unperish
-** DONE bzr-builddeb
-** TODO mandos user/group creation
-** TODO Key creation in postinst
-
-* TODO Web site
-** DONE http://www.fukt.bsnet.se/mandos
-   Redirects to the wiki page
-** TODO http://wiki.fukt.bsnet.se/wiki/Mandos
+** unperish
+** bzr-builddeb
+
+* INSTALL file
+
+* Web site
 
 * Mailing list
-** DONE mandos-dev
-*** TODO http://gmane.org/subscribe.php
 
-* TODO Announce project on Usenet
+* Announce project on news
   [[news:comp.os.linux.announce]]
 
 

=== removed directory 'debian'
=== removed file 'debian/changelog'
--- debian/changelog	2008-09-17 00:34:09 +0000
+++ debian/changelog	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-mandos (1.0) unstable; urgency=low
-
-  * Initial Release.
-
- -- Mandos Maintainers <mandos@fukt.bsnet.se>  Sun, 07 Sep 2008 11:55:51 +0200

=== removed file 'debian/compat'
--- debian/compat	2008-09-17 00:34:09 +0000
+++ debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-7

=== removed file 'debian/control'
--- debian/control	2008-09-17 00:34:09 +0000
+++ debian/control	1970-01-01 00:00:00 +0000
@@ -1,49 +0,0 @@
-Source: mandos
-Section: admin
-Priority: extra
-Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
-Build-Depends: debhelper (>= 7), docbook-xsl, docbook (<5.0),
-	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc
-Standards-Version: 3.8.0
-Vcs-Bzr: ftp://anonymous@ftp.fukt.bsnet.se/pub/mandos/latest
-Homepage: http://www.fukt.bsnet.se/mandos
-
-Package: mandos
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.5),
-	python-gnutls, python-dbus, python-avahi, avahi-daemon,
-	gnupg (< 2)
-Recommends: fping
-Description: a server giving encrypted passwords to Mandos clients
- This is the server part of the Mandos system, which allows
- computers to have encrypted root file systems and at the
- same time be capable of remote and/or unattended reboots.
- .
- The computers run a small client program in the initial RAM
- disk environment which will communicate with a server over a
- network.  All network communication is encrypted using TLS.
- The clients are identified by the server using an OpenPGP
- key; each client has one unique to it.  The server sends the
- clients an encrypted password.  The encrypted password is
- decrypted by the clients using the same OpenPGP key, and the
- password is then used to unlock the root file system,
- whereupon the computers can continue booting normally.
-
-Package: mandos-client
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Enhances: cryptsetup
-Description: do unattended reboots with an encrypted root file system
- This is the client part of the Mandos system, which allows
- computers to have encrypted root file systems and at the
- same time be capable of remote and/or unattended reboots.
- .
- The computers run a small client program in the initial RAM
- disk environment which will communicate with a server over a
- network.  All network communication is encrypted using TLS.
- The clients are identified by the server using an OpenPGP
- key; each client has one unique to it.  The server sends the
- clients an encrypted password.  The encrypted password is
- decrypted by the clients using the same OpenPGP key, and the
- password is then used to unlock the root file system,
- whereupon the computers can continue booting normally.

=== removed file 'debian/copyright'
--- debian/copyright	2008-09-17 00:34:09 +0000
+++ debian/copyright	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-Authors: Teddy Hogeborn, Björn Påhlsson
-
-Homepage: <http://www.fukt.bsnet.se/mandos>
-
-Copyright:
-
-    Copyright © 2008 Teddy Hogeborn
-                2008 Björn Påhlsson
-
-License:
-
-    This program is free software: you can redistribute it and/or
-    modify it under the terms of the GNU General Public License as
-    published by the Free Software Foundation, either version 3 of the
-    License, or (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-    General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see
-    <http://www.gnu.org/licenses/>.
-
-On Debian systems, the complete text of the GNU General Public License
-can be found in "/usr/share/common-licenses/GPL".

=== removed file 'debian/mandos-client.README.Debian'
--- debian/mandos-client.README.Debian	2008-09-19 00:00:51 +0000
+++ debian/mandos-client.README.Debian	1970-01-01 00:00:00 +0000
@@ -1,15 +0,0 @@
-A client key has been automatically created in /etc/keys/mandos.  The
-next step is to run "mandos-keygen --password" to get a config file
-stanza to copy and paste into /etc/mandos/clients.conf on the Mandos
-server.
-
-Also, if some other network interface than "eth0" is used, it will be
-necessary to edit /etc/mandos/plugin-runner.conf to uncomment and
-change the line there.  If this file is changed, it will be necessary
-to update the initrd image by doing "update-initramfs -k all -u".
-
-It is NOT necessary to edit /etc/crypttab to specify
-/usr/lib/mandos/plugin-runner as a keyscript for the root file system;
-if no keyscript is given for the root file system, the Mandos client
-will be the new default way for getting a password for the root file
-system when booting.

=== removed file 'debian/mandos-client.dirs'
--- debian/mandos-client.dirs	2008-09-17 00:34:09 +0000
+++ debian/mandos-client.dirs	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-usr/share/man/man8
-usr/sbin
-usr/share/initramfs-tools/hooks
-usr/share/initramfs-tools/conf-hooks.d
-usr/share/initramfs-tools/scripts/local-top

=== removed file 'debian/mandos-client.lintian-overrides'
--- debian/mandos-client.lintian-overrides	2008-09-17 00:34:09 +0000
+++ debian/mandos-client.lintian-overrides	1970-01-01 00:00:00 +0000
@@ -1,4 +0,0 @@
-mandos-client binary: manpage-has-errors-from-man usr/share/man/man8/plugin-runner.8mandos.gz 297: warning [p 4, 5.8i]: can't break line
-mandos-client binary: non-standard-dir-perm etc/keys/mandos/ 0700 != 0755
-mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/mandos-client 4755 root/root
-mandos-client binary: non-standard-dir-perm usr/lib/mandos/plugins.d/ 0700 != 0755

=== removed file 'debian/mandos-client.postinst'
--- debian/mandos-client.postinst	2008-09-17 00:34:09 +0000
+++ debian/mandos-client.postinst	1970-01-01 00:00:00 +0000
@@ -1,44 +0,0 @@
-#!/bin/bash -e
-# This script can be called in the following ways:
-#
-# After the package was installed:
-#       <postinst> configure <old-version>
-#
-#
-# If prerm fails during upgrade or fails on failed upgrade:
-#       <old-postinst> abort-upgrade <new-version>
-#
-# If prerm fails during deconfiguration of a package:
-#       <postinst> abort-deconfigure in-favour <new-package> <version>
-#                  removing <old-package> <version>
-#
-# If prerm fails during replacement due to conflict:
-#       <postinst> abort-remove in-favour <new-package> <version>
-
-. /usr/share/debconf/confmodule
-
-# Update the initramfs
-update_initramfs()
-{
-	if which update-initramfs >/dev/null 2>&1; then
-		update-initramfs -u
-	fi
-}
-
-case "$1" in
-    configure)
-	update_initramfs
-	;;
-
-    abort-upgrade|abort-deconfigure|abort-remove)
-	;;
-
-    *)
-	echo "$0 called with unknown argument \`$1'" 1>&2
-	exit 1
-	;;
-esac
-
-#DEBHELPER#
-
-exit 0

=== removed file 'debian/mandos-client.postrm'
--- debian/mandos-client.postrm	2008-09-19 00:00:51 +0000
+++ debian/mandos-client.postrm	1970-01-01 00:00:00 +0000
@@ -1,62 +0,0 @@
-#!/bin/sh -e
-# This script can be called in the following ways:
-#
-# After the package was removed:
-#       <postrm> remove
-#
-# After the package was purged:
-#       <postrm> purge
-#
-# After the package was upgraded:
-#       <old-postrm> upgrade <new-version>
-# if that fails:
-#       <new-postrm> failed-upgrade <old-version>
-#
-#
-# After all of the packages files have been replaced:
-#       <postrm> disappear <overwriting-package> <version>
-#
-#
-# If preinst fails during install:
-#       <new-postrm> abort-install
-#
-# If preinst fails during upgrade of removed package:
-#       <new-postrm> abort-install <old-version>
-#
-# If preinst fails during upgrade:
-#       <new-postrm> abort-upgrade <old-version>
-
-
-# Update the initramfs
-update_initramfs()
-{
-	if type update-initramfs >/dev/null 2>&1 ; then
-		update-initramfs -u -k all
-	fi
-}
-
-
-case "$1" in
-    remove)
-	update_initramfs
-	;;
-
-    purge)
-	shred --remove /etc/keys/mandos/seckey.txt || :
-	rm --force /etc/mandos/plugin-runner.conf \
-	    /etc/keys/mandos/pubkey.txt \
-	    /etc/keys/mandos/seckey.txt
-	rmdir /etc/keys/mandos /etc/mandos/plugins.d /etc/mandos || :
-	;;
-    upgrade|failed-upgrade|disappear|abort-install|abort-upgrade)
-	;;
-
-    *)
-	echo "$0 called with unknown argument \`$1'" 1>&2
-	exit 1
-	;;
-esac
-
-#DEBHELPER#
-
-exit 0

=== removed file 'debian/mandos.dirs'
--- debian/mandos.dirs	2008-09-17 00:34:09 +0000
+++ debian/mandos.dirs	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-usr/share/man/man5
-usr/share/man/man8
-etc/init.d
-etc/default
-usr/sbin

=== removed file 'debian/mandos.lintian-overrides'
--- debian/mandos.lintian-overrides	2008-09-17 00:34:09 +0000
+++ debian/mandos.lintian-overrides	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-mandos binary: non-standard-file-perm etc/mandos/clients.conf 0600 != 0644

=== removed file 'debian/mandos.postinst'
--- debian/mandos.postinst	2008-09-19 00:54:24 +0000
+++ debian/mandos.postinst	1970-01-01 00:00:00 +0000
@@ -1,40 +0,0 @@
-#!/bin/bash -e
-# This script can be called in the following ways:
-#
-# After the package was installed:
-#       <postinst> configure <old-version>
-#
-#
-# If prerm fails during upgrade or fails on failed upgrade:
-#       <old-postinst> abort-upgrade <new-version>
-#
-# If prerm fails during deconfiguration of a package:
-#       <postinst> abort-deconfigure in-favour <new-package> <version>
-#                  removing <old-package> <version>
-#
-# If prerm fails during replacement due to conflict:
-#       <postinst> abort-remove in-favour <new-package> <version>
-
-. /usr/share/debconf/confmodule
-
-case "$1" in
-    configure)
-	if ! getent passwd mandos >/dev/null; then
-	    adduser --disabled-password  --quiet --system \
-		--home /var/run/mandos --no-create-home \
-		--gecos "Mandos password daemon" --group mandos
-	fi
-	;;
-
-    abort-upgrade|abort-deconfigure|abort-remove)
-	;;
-
-    *)
-	echo "$0 called with unknown argument \`$1'" 1>&2
-	exit 1
-	;;
-esac
-
-#DEBHELPER#
-
-exit 0

=== removed file 'debian/mandos.postrm'
--- debian/mandos.postrm	2008-09-19 00:54:24 +0000
+++ debian/mandos.postrm	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-set -e
-
-#DEBHELPER#
-
-if [ "$1" = "purge" ] ; then
-        deluser --quiet --system mandos > /dev/null || true
-        delgroup --quiet --system mandos > /dev/null || true
-fi
-

=== removed file 'debian/rules'
--- debian/rules	2008-09-17 00:34:09 +0000
+++ debian/rules	1970-01-01 00:00:00 +0000
@@ -1,116 +0,0 @@
-#!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
-#
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
-#
-# Modified to make a template file for a multi-binary package with separated
-# build-arch and build-indep targets  by Bill Allombert 2001
-
-# Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
-
-# This has to be exported to make some magic below work.
-export DH_OPTIONS
-
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-# Add here commands to configure the package.
-	touch configure-stamp
-
-#Architecture
-build: build-arch build-indep
-
-build-arch: build-arch-stamp
-build-arch-stamp: configure-stamp
-# Add here commands to compile the arch part of the package.
-	dh_auto_build -- all doc
-	touch $@
-
-build-indep: build-indep-stamp
-build-indep-stamp: configure-stamp
-# Add here commands to compile the indep part of the package.
-	dh_auto_build -- doc
-	touch $@
-
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-arch-stamp build-indep-stamp configure-stamp
-# Add here commands to clean up after the build process.
-	dh_auto_clean
-	dh_clean
-
-install: install-indep install-arch
-install-indep:
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs --indep
-# Add here commands to install the indep part of the package into
-# debian/<package>-doc.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos install-server
-	dh_lintian
-	dh_installinit --onlyscripts --no-start
-	dh_install --indep
-
-install-arch:
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs --same-arch
-
-# Add here commands to install the arch part of the package into
-# debian/tmp.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos-client install-client-nokey
-	dh_lintian
-	dh_install --same-arch
-
-# Must not depend on anything. This is to be called by
-# binary-arch/binary-indep
-# in another 'make' thread.
-binary-common:
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installdebconf
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_pycentral
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-#	dh_installman
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms --exclude etc/keys/mandos \
-		--exclude etc/mandos/clients.conf \
-		--exclude usr/lib/mandos/plugins.d
-#	dh_perl
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-# Build architecture independant packages using the common target.
-binary-indep: build-indep install-indep
-	$(MAKE) -f debian/rules DH_OPTIONS=--indep binary-common
-
-# Build architecture dependant packages using the common target.
-binary-arch: build-arch install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=--same-arch binary-common
-
-binary: binary-arch binary-indep
-
-.PHONY: build clean binary-indep binary-arch binary install \
-		install-indep install-arch configure

=== modified file 'default-mandos'
--- default-mandos	2008-09-17 00:34:09 +0000
+++ default-mandos	2008-09-05 08:38:30 +0000
@@ -2,6 +2,3 @@
 # "/etc/mandos".
 # 
 #CONFIGDIR=/etc/mandos
-
-# Additional options that are passed to the Daemon.
-DAEMON_ARGS=""

=== modified file 'initramfs-tools-hook'
--- initramfs-tools-hook	2008-09-19 00:54:24 +0000
+++ initramfs-tools-hook	2008-09-06 15:34:21 +0000
@@ -40,7 +40,7 @@
     exit 1
 fi
 
-for d in /etc/keys/mandos /etc/mandos/keys; do
+for d in /etc/keys/mandos /usr/local/lib/mandos/keys; do
     if [ -d "$d" ]; then
 	keydir="$d"
 	break
@@ -120,16 +120,6 @@
     cp --archive --sparse=always "$file" "${DESTDIR}${CONFDIR}"
 done
 
-if [ ${mandos_user} != 65534 ]; then
-    PLUGINRUNNERCONF="${DESTDIR}${CONFDIR}/plugin-runner.conf"
-    echo "--userid=${mandos_user}" >> "$PLUGINRUNNERCONF"
-fi
-
-if [ ${mandos_group} != 65534 ]; then
-    PLUGINRUNNERCONF="${DESTDIR}${CONFDIR}/plugin-runner.conf"
-    echo "--groupid=${mandos_group}" >> "$PLUGINRUNNERCONF"
-fi
-
 # Key files 
 for file in  "$keydir"/*; do
     if [ -d "$file" ]; then

=== modified file 'initramfs-tools-script'
--- initramfs-tools-script	2008-09-07 15:42:11 +0000
+++ initramfs-tools-script	2008-08-14 02:24:59 +0000
@@ -24,8 +24,6 @@
      ;;
 esac
 
-chmod a=rwxt /tmp
-
 test -w /conf/conf.d/cryptroot
 
 # Do not replace cryptroot file unless we need to.

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2008-09-12 19:12:40 +0000
+++ mandos-clients.conf.xml	2008-09-04 13:36:59 +0000
@@ -4,7 +4,7 @@
 <!ENTITY VERSION "1.0">
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2008-09-12">
+<!ENTITY TIMESTAMP "2008-09-04">
 ]>
 
 <refentry xmlns:xi="http://www.w3.org/2001/XInclude">
@@ -37,7 +37,7 @@
     </copyright>
     <xi:include href="legalnotice.xml"/>
   </refentryinfo>
-  
+
   <refmeta>
     <refentrytitle>&CONFNAME;</refentrytitle>
     <manvolnum>5</manvolnum>
@@ -49,11 +49,11 @@
       Configuration file for the Mandos server
     </refpurpose>
   </refnamediv>
-  
+
   <refsynopsisdiv>
     <synopsis>&CONFPATH;</synopsis>
   </refsynopsisdiv>
-  
+
   <refsect1 id="description">
     <title>DESCRIPTION</title>
     <para>
@@ -95,9 +95,9 @@
     <para>
       Unknown options are ignored.  The used options are as follows:
     </para>
-    
+
     <variablelist>
-      
+
       <varlistentry>
 	<term><option>timeout<literal> = </literal><replaceable
 	>TIME</replaceable></option></term>
@@ -126,7 +126,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>interval<literal> = </literal><replaceable
 	>TIME</replaceable></option></term>
@@ -149,7 +149,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>checker<literal> = </literal><replaceable
 	>COMMAND</replaceable></option></term>
@@ -223,7 +223,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>secfile<literal> = </literal><replaceable
 	>FILENAME</replaceable></option></term>
@@ -241,7 +241,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option><literal>host = </literal><replaceable
 	>STRING</replaceable></option></term>
@@ -313,7 +313,7 @@
 	mode is needed to expose an error of this kind.
       </para>
     </refsect2>
-    
+
   </refsect1>
   
   <refsect1 id="files">
@@ -373,6 +373,7 @@
 fingerprint = 3e393aeaefb84c7e89e2f547b3a107558fca3a27
 secfile = /etc/mandos/bar-secret
 timeout = 15m
+
       </programlisting>
     </informalexample>
   </refsect1>

=== modified file 'mandos-keygen'
--- mandos-keygen	2008-09-08 12:03:16 +0000
+++ mandos-keygen	2008-09-06 15:34:21 +0000
@@ -35,10 +35,6 @@
 KEYCOMMENT_ORIG="$KEYCOMMENT"
 mode=keygen
 
-if [ ! -d "$KEYDIR" ]; then
-    KEYDIR="/etc/mandos/keys"
-fi
-
 # Parse options
 TEMP=`getopt --options vhd:t:l:n:e:c:x:f \
     --longoptions version,help,password,dir:,type:,length:,subtype:,sublength:,name:,email:,comment:,expire:,force \

=== modified file 'mandos-keygen.xml'
--- mandos-keygen.xml	2008-09-12 19:12:40 +0000
+++ mandos-keygen.xml	2008-09-06 16:31:49 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY VERSION "1.0">
 <!ENTITY COMMANDNAME "mandos-keygen">
-<!ENTITY TIMESTAMP "2008-09-12">
+<!ENTITY TIMESTAMP "2008-09-06">
 ]>
 
 <refentry xmlns:xi="http://www.w3.org/2001/XInclude">
@@ -36,7 +36,7 @@
     </copyright>
     <xi:include href="legalnotice.xml"/>
   </refentryinfo>
-  
+
   <refmeta>
     <refentrytitle>&COMMANDNAME;</refentrytitle>
     <manvolnum>8</manvolnum>
@@ -48,7 +48,7 @@
       Generate key and password for Mandos client and server.
     </refpurpose>
   </refnamediv>
-  
+
   <refsynopsisdiv>
     <cmdsynopsis>
       <command>&COMMANDNAME;</command>
@@ -197,7 +197,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--dir
 	<replaceable>DIRECTORY</replaceable></option></term>
@@ -210,7 +210,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--type
 	<replaceable>TYPE</replaceable></option></term>
@@ -222,7 +222,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--length
 	<replaceable>BITS</replaceable></option></term>
@@ -234,7 +234,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--subtype
 	<replaceable>KEYTYPE</replaceable></option></term>
@@ -247,7 +247,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--sublength
 	<replaceable>BITS</replaceable></option></term>
@@ -259,7 +259,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--email
 	<replaceable>ADDRESS</replaceable></option></term>
@@ -271,7 +271,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--comment
 	<replaceable>TEXT</replaceable></option></term>
@@ -284,7 +284,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--expire
 	<replaceable>TIME</replaceable></option></term>
@@ -298,7 +298,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--force</option></term>
 	<term><option>-f</option></term>
@@ -328,7 +328,7 @@
       </varlistentry>
     </variablelist>
   </refsect1>
-  
+
   <refsect1 id="overview">
     <title>OVERVIEW</title>
     <xi:include href="overview.xml"/>
@@ -338,7 +338,7 @@
       <filename>clients.conf</filename> on the server.
     </para>
   </refsect1>
-  
+
   <refsect1 id="exit_status">
     <title>EXIT STATUS</title>
     <para>
@@ -401,13 +401,13 @@
       </varlistentry>
     </variablelist>
   </refsect1>
-  
+
 <!--   <refsect1 id="bugs"> -->
 <!--     <title>BUGS</title> -->
 <!--     <para> -->
 <!--     </para> -->
 <!--   </refsect1> -->
-  
+
   <refsect1 id="example">
     <title>EXAMPLE</title>
     <informalexample>
@@ -454,7 +454,7 @@
       </para>
     </informalexample>
   </refsect1>
-  
+
   <refsect1 id="security">
     <title>SECURITY</title>
     <para>
@@ -469,7 +469,7 @@
       <manvolnum>8</manvolnum></citerefentry>.
     </para>
   </refsect1>
-  
+
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>

=== modified file 'mandos.conf.xml'
--- mandos.conf.xml	2008-09-12 19:12:40 +0000
+++ mandos.conf.xml	2008-09-04 13:36:59 +0000
@@ -4,7 +4,7 @@
 <!ENTITY VERSION "1.0">
 <!ENTITY CONFNAME "mandos.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/mandos.conf</filename>">
-<!ENTITY TIMESTAMP "2008-09-12">
+<!ENTITY TIMESTAMP "2008-09-04">
 ]>
 
 <refentry xmlns:xi="http://www.w3.org/2001/XInclude">
@@ -37,7 +37,7 @@
     </copyright>
     <xi:include href="legalnotice.xml"/>
   </refentryinfo>
-  
+
   <refmeta>
     <refentrytitle>&CONFNAME;</refentrytitle>
     <manvolnum>5</manvolnum>
@@ -49,11 +49,11 @@
       Configuration file for the Mandos server
     </refpurpose>
   </refnamediv>
-  
+
   <refsynopsisdiv>
     <synopsis>&CONFPATH;</synopsis>
   </refsynopsisdiv>
-  
+
   <refsect1 id="description">
     <title>DESCRIPTION</title>
     <para>
@@ -71,7 +71,7 @@
       <quote>#</quote> or <quote>;</quote> are ignored and may be used
       to provide comments.
     </para>
-    
+
   </refsect1>
   <refsect1>
     <title>OPTIONS</title>
@@ -84,7 +84,7 @@
 	  <xi:include href="mandos-options.xml" xpointer="interface"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>address<literal> = </literal><replaceable
 	  >ADDRESS</replaceable></option></term>
@@ -92,7 +92,7 @@
 	  <xi:include href="mandos-options.xml" xpointer="address"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>port<literal> = </literal><replaceable
 	>NUMBER</replaceable></option></term>
@@ -100,7 +100,7 @@
 	  <xi:include href="mandos-options.xml" xpointer="port"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>debug<literal> = </literal>{ <literal
 	  >1</literal> | <literal>yes</literal> | <literal
@@ -111,7 +111,7 @@
 	  <xi:include href="mandos-options.xml" xpointer="debug"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>priority<literal> = </literal><replaceable
 	>STRING</replaceable></option></term>
@@ -119,7 +119,7 @@
 	  <xi:include href="mandos-options.xml" xpointer="priority"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>servicename<literal> = </literal
 	><replaceable>NAME</replaceable></option></term>
@@ -185,7 +185,7 @@
       <citerefentry><refentrytitle>mandos-clients.conf</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>
     </para>
-    
+
     <variablelist>
       <varlistentry>
 	<term>

=== modified file 'mandos.xml'
--- mandos.xml	2008-09-12 19:12:40 +0000
+++ mandos.xml	2008-09-06 16:31:49 +0000
@@ -3,7 +3,7 @@
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY VERSION "1.0">
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2008-09-12">
+<!ENTITY TIMESTAMP "2008-09-06">
 ]>
 
 <refentry xmlns:xi="http://www.w3.org/2001/XInclude">
@@ -36,7 +36,7 @@
     </copyright>
     <xi:include href="legalnotice.xml"/>
   </refentryinfo>
-  
+
   <refmeta>
     <refentrytitle>&COMMANDNAME;</refentrytitle>
     <manvolnum>8</manvolnum>
@@ -48,7 +48,7 @@
       Gives encrypted passwords to authenticated Mandos clients
     </refpurpose>
   </refnamediv>
-  
+
   <refsynopsisdiv>
     <cmdsynopsis>
       <command>&COMMANDNAME;</command>
@@ -100,7 +100,7 @@
       <arg choice="plain"><option>--check</option></arg>
     </cmdsynopsis>
   </refsynopsisdiv>
-  
+
   <refsect1 id="description">
     <title>DESCRIPTION</title>
     <para>
@@ -186,7 +186,7 @@
 	  <xi:include href="mandos-options.xml" xpointer="debug"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--priority <replaceable>
 	PRIORITY</replaceable></option></term>
@@ -194,7 +194,7 @@
 	  <xi:include href="mandos-options.xml" xpointer="priority"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--servicename
 	<replaceable>NAME</replaceable></option></term>
@@ -203,7 +203,7 @@
 		      xpointer="servicename"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--configdir
 	<replaceable>DIRECTORY</replaceable></option></term>
@@ -218,7 +218,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--version</option></term>
 	<listitem>
@@ -229,7 +229,7 @@
       </varlistentry>
     </variablelist>
   </refsect1>
-  
+
   <refsect1 id="overview">
     <title>OVERVIEW</title>
     <xi:include href="overview.xml"/>
@@ -239,7 +239,7 @@
       <acronym>RAM</acronym> disk environment.
     </para>
   </refsect1>
-  
+
   <refsect1 id="protocol">
     <title>NETWORK PROTOCOL</title>
     <para>
@@ -297,7 +297,7 @@
       </row>
     </tbody></tgroup></table>
   </refsect1>
-  
+
   <refsect1 id="checking">
     <title>CHECKING</title>
     <para>
@@ -311,7 +311,7 @@
       <manvolnum>5</manvolnum></citerefentry>.
     </para>
   </refsect1>
-  
+
   <refsect1 id="logging">
     <title>LOGGING</title>
     <para>
@@ -321,7 +321,7 @@
       and also show them on the console.
     </para>
   </refsect1>
-  
+
   <refsect1 id="exit_status">
     <title>EXIT STATUS</title>
     <para>
@@ -329,7 +329,7 @@
       critical error is encountered.
     </para>
   </refsect1>
-  
+
   <refsect1 id="environment">
     <title>ENVIRONMENT</title>
     <variablelist>
@@ -349,7 +349,7 @@
       </varlistentry>
     </variablelist>
   </refsect1>
-  
+
   <refsect1 id="file">
     <title>FILES</title>
     <para>
@@ -479,7 +479,7 @@
       </para>
     </informalexample>
   </refsect1>
-  
+
   <refsect1 id="security">
     <title>SECURITY</title>
     <refsect2 id="SERVER">
@@ -534,7 +534,7 @@
       </para>
     </refsect2>
   </refsect1>
-  
+
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>

=== modified file 'overview.xml'
--- overview.xml	2008-09-13 15:36:18 +0000
+++ overview.xml	2008-09-01 08:29:23 +0000
@@ -6,12 +6,10 @@
   encrypted root file systems and at the same time be capable of
   remote and/or unattended reboots.  The computers run a small client
   program in the initial <acronym>RAM</acronym> disk environment which
-  will communicate with a server over a network.  All network
-  communication is encrypted using <acronym>TLS</acronym>.  The
-  clients are identified by the server using an OpenPGP key; each
-  client has one unique to it.  The server sends the clients an
-  encrypted password.  The encrypted password is decrypted by the
-  clients using the same OpenPGP key, and the password is then used to
-  unlock the root file system, whereupon the computers can continue
-  booting normally.
+  will communicate with a server over a network.  The clients are
+  identified by the server using a OpenPGP key; each client has one
+  unique to it.  The server sends the clients an encrypted password.
+  The encrypted password is decrypted by the clients using the same
+  OpenPGP key, and the password is then used to unlock the root file
+  system, whereupon the computers can continue booting normally.
 </para>

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2008-09-19 00:00:51 +0000
+++ plugin-runner.c	2008-09-07 01:44:44 +0000
@@ -72,6 +72,8 @@
 const char *argp_program_version = "plugin-runner 1.0";
 const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
+struct plugin;
+
 typedef struct plugin{
   char *name;			/* can be NULL or any plugin name */
   char **argv;
@@ -206,7 +208,8 @@
  * Descriptor Flags".
  * *Note File Descriptor Flags:(libc)Descriptor Flags.
  */
-static int set_cloexec_flag(int fd){
+static int set_cloexec_flag(int fd)
+{
   int ret = fcntl(fd, F_GETFD, 0);
   /* If reading the flags failed, return error indication now. */
   if(ret < 0){
@@ -219,7 +222,7 @@
 
 /* Mark processes as completed when they exit, and save their exit
    status. */
-static void handle_sigchld(__attribute__((unused)) int sig){
+void handle_sigchld(__attribute__((unused)) int sig){
   while(true){
     plugin *proc = plugin_list;
     int status;
@@ -250,7 +253,7 @@
 }
 
 /* Prints out a password to stdout */
-static bool print_out_password(const char *buffer, size_t length){
+bool print_out_password(const char *buffer, size_t length){
   ssize_t ret;
   for(size_t written = 0; written < length; written += (size_t)ret){
     ret = TEMP_FAILURE_RETRY(write(STDOUT_FILENO, buffer + written,
@@ -470,12 +473,7 @@
       debug = true;
       break;
     case ARGP_KEY_ARG:
-      /* Cryptsetup always passes an argument, which is an empty
-	 string if "none" was specified in /etc/crypttab.  So if
-	 argument was empty, we ignore it silently. */
-      if(arg[0] != '\0'){
-	fprintf(stderr, "Ignoring unknown argument \"%s\"\n", arg);
-      }
+      fprintf(stderr, "Ignoring unknown argument \"%s\"\n", arg);
       break;
     case ARGP_KEY_END:
       break;

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2008-09-19 00:00:51 +0000
+++ plugin-runner.xml	2008-09-06 16:31:49 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY VERSION "1.0">
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2008-09-19">
+<!ENTITY TIMESTAMP "2008-09-06">
 ]>
 
 <refentry xmlns:xi="http://www.w3.org/2001/XInclude">
@@ -36,7 +36,7 @@
     </copyright>
     <xi:include href="legalnotice.xml"/>
   </refentryinfo>
-  
+
   <refmeta>
     <refentrytitle>&COMMANDNAME;</refentrytitle>
     <manvolnum>8mandos</manvolnum>
@@ -48,16 +48,16 @@
       Run Mandos plugins, pass data from first to succeed.
     </refpurpose>
   </refnamediv>
-  
+
   <refsynopsisdiv>
     <cmdsynopsis>
       <command>&COMMANDNAME;</command>
       <group rep="repeat">
 	<arg choice="plain"><option>--global-env=<replaceable
-	>ENV</replaceable><literal>=</literal><replaceable
+	>VAR</replaceable><literal>=</literal><replaceable
 	>value</replaceable></option></arg>
 	<arg choice="plain"><option>-G
-	<replaceable>ENV</replaceable><literal>=</literal><replaceable
+	<replaceable>VAR</replaceable><literal>=</literal><replaceable
 	>value</replaceable> </option></arg>
       </group>
       <sbr/>
@@ -170,10 +170,10 @@
     <variablelist>
       <varlistentry>
 	<term><option>--global-env
-	<replaceable>ENV</replaceable><literal>=</literal><replaceable
+	<replaceable>VAR</replaceable><literal>=</literal><replaceable
 	>value</replaceable></option></term>
 	<term><option>-G
-	<replaceable>ENV</replaceable><literal>=</literal><replaceable
+	<replaceable>VAR</replaceable><literal>=</literal><replaceable
 	>value</replaceable></option></term>
 	<listitem>
 	  <para>
@@ -247,7 +247,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--disable
 	<replaceable>PLUGIN</replaceable></option></term>
@@ -261,7 +261,7 @@
 	  </para>	
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--enable
 	<replaceable>PLUGIN</replaceable></option></term>
@@ -276,7 +276,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--groupid
 	<replaceable>ID</replaceable></option></term>
@@ -289,7 +289,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--userid
 	<replaceable>ID</replaceable></option></term>
@@ -302,7 +302,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--plugin-dir
 	<replaceable>DIRECTORY</replaceable></option></term>
@@ -365,7 +365,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--version</option></term>
 	<term><option>-V</option></term>
@@ -377,7 +377,7 @@
       </varlistentry>
     </variablelist>
   </refsect1>
-  
+
   <refsect1 id="overview">
     <title>OVERVIEW</title>
     <xi:include href="overview.xml"/>
@@ -403,7 +403,7 @@
       code will make this plugin-runner output the password from that
       plugin, stop any other plugins, and exit.
     </para>
-    
+
     <refsect2 id="writing_plugins">
       <title>WRITING PLUGINS</title>
       <para>

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2008-09-12 19:12:40 +0000
+++ plugins.d/mandos-client.xml	2008-09-06 16:33:08 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY VERSION "1.0">
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2008-09-12">
+<!ENTITY TIMESTAMP "2008-09-06">
 ]>
 
 <refentry xmlns:xi="http://www.w3.org/2001/XInclude">
@@ -36,7 +36,7 @@
     </copyright>
     <xi:include href="../legalnotice.xml"/>
   </refentryinfo>
-  
+
   <refmeta>
     <refentrytitle>&COMMANDNAME;</refentrytitle>
     <manvolnum>8mandos</manvolnum>
@@ -48,7 +48,7 @@
       Client for <application>Mandos</application>
     </refpurpose>
   </refnamediv>
-  
+
   <refsynopsisdiv>
     <cmdsynopsis>
       <command>&COMMANDNAME;</command>
@@ -113,7 +113,7 @@
       </group>
     </cmdsynopsis>
   </refsynopsisdiv>
-  
+
   <refsect1 id="description">
     <title>DESCRIPTION</title>
     <para>
@@ -215,7 +215,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--seckey=<replaceable
 	>FILE</replaceable></option></term>
@@ -238,7 +238,7 @@
 		      xpointer="priority"/>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--dh-bits=<replaceable
 	>BITS</replaceable></option></term>
@@ -284,7 +284,7 @@
 	  </para>
 	</listitem>
       </varlistentry>
-      
+
       <varlistentry>
 	<term><option>--version</option></term>
 	<term><option>-V</option></term>
@@ -296,7 +296,7 @@
       </varlistentry>
     </variablelist>
   </refsect1>
-  
+
   <refsect1 id="overview">
     <title>OVERVIEW</title>
     <xi:include href="../overview.xml"/>
@@ -368,7 +368,7 @@
 <!--     <para> -->
 <!--     </para> -->
 <!--   </refsect1> -->
-  
+
   <refsect1 id="example">
     <title>EXAMPLE</title>
     <para>
@@ -423,7 +423,7 @@
       </para>
     </informalexample>
   </refsect1>
-  
+
   <refsect1 id="security">
     <title>SECURITY</title>
     <para>
@@ -470,7 +470,7 @@
       confidential.
     </para>
   </refsect1>
-  
+
   <refsect1 id="see_also">
     <title>SEE ALSO</title>
     <para>
@@ -601,8 +601,8 @@
       </varlistentry>
     </variablelist>
   </refsect1>
+
 </refentry>
-
 <!-- Local Variables: -->
 <!-- time-stamp-start: "<!ENTITY TIMESTAMP [\"']" -->
 <!-- time-stamp-end: "[\"']>" -->

